<template>
<div  v-if="!hideLevelTwoForm">
<form v-if="showLevelTwoForm"
  @submit.prevent="$v.$touch(); if($v.$error === false){addItem()};">
  <div style="position:relative;margin-top:0px;">
    <v-select
      :items="storeList"
      v-model="shopNames"
      label="Select store"
      multiple
      chips
      hint="Select stores the item will be distributed"
      persistent-hint
      style="width:90%;margin:0 auto;"
      @input="$v.shopNames.$touch()">
      </v-select>
      <span class="formErrorMessage"
        style="padding-left:5%;"
        v-if="$v.shopNames.$error && $v.shopNames.$dirty">
        Store name is required
      </span>
    </div>
  <div>
    <v-btn depressed
      block
      color="darkSecondary"
      dark
      style="width:94%;margin:0 auto;margin-top:10px;"
      type="submit">
      NEXT
    </v-btn>
    <br/><br/>
  </div>
  <br/>
</form>
</div>
</template>
<script>
import { required } from 'vuelidate/lib/validators'
export default {
  name: 'StoreAddComponent',
  data: () => ({
    shopNames: []
  }),
  computed: {
    showLevelTwoForm () {
      return this.$store.state.itemRegistrationModule.itemRegistrationFormValid
    },
    hideLevelTwoForm () {
      return this.$store.state.itemRegistrationModule.storeFormValid
    },
    storeList () {
      return this.$store.state.itemRegistrationModule.allStoresList
    }
  },
  methods: {
    addItem () {
      console.log('ADD ITEM WAS CALLED')
      this.$store.commit('STORE_SELECTION_FORM_COMPLETE', this.shopNames)
    }
  },
  validations: {
    shopNames: {
      required
    }
  }
}
</script>
